## enigmail 2.0.8

=== Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

XPI_MODULE	= enigmail
XPI_MODULE_VERS = 2.0.8

DEPTH		= .

include $(DEPTH)/config/autoconf.mk

DIRS = ipc ui package lang stdlib

ALL = dirs xpi

ifeq ($(TESTS),yes)
ALL += test
endif

XPIFILE = $(XPI_MODULE)-$(XPI_MODULE_VERS).xpi

.PHONY: dirs $(DIRS) test

all: $(ALL)

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

xpi: $(DIRS)
	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(DIST) $(srcdir) $(XPI_MODULE) $(ENABLE_LANG)

check:
	util/checkFiles.py

eslint:
	static_analysis/eslint ipc
	static_analysis/eslint package
	static_analysis/eslint ui

unit:
	make -C ipc/tests
	make -C package/tests
	make -C ui/tests

test: eslint check unit

clean:
	rm -f build/$(XPIFILE)
	for dir in $(DIRS); do \
		if [ "$${dir}x" != "checkx" ]; then \
		$(MAKE) -C $$dir clean; fi; \
	done

distclean: clean
	rm -rf build/*
	rm -f config/autoconf.mk config.log config.status

=== stdlib/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.


DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

MODFILES = \
           compose.jsm \
           misc.jsm \
           msgHdrUtils.jsm \
           openpgp-lib.js \
           openpgp.worker.min.js

all: deploy

deploy: $(MODFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/modules/stdlib $(MODFILES)


clean:
	$(DEPTH)/util/install -u $(DIST)/modules/stdlib $(MODFILES)

=== ipc/modules/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.


DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk


EXTRA_JS_MODULES =  \
	subprocess.jsm \
	enigmailprocess_shared_unix.js \
	enigmailprocess_worker_common.js \
	enigmailprocess_common.jsm \
	enigmailprocess_shared_win.js \
	enigmailprocess_worker_unix.js \
	enigmailprocess_main.jsm \
	enigmailprocess_unix.jsm \
	enigmailprocess_worker_win.js \
	enigmailprocess_shared.js \
	enigmailprocess_win.jsm

all: $(EXTRA_JS_MODULES)
	$(DEPTH)/util/install -m 644 $(DIST)/modules $^

clean: $(EXTRA_JS_MODULES)
	$(DEPTH)/util/install -u $(DIST)/modules $^

=== ipc/tests/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

UNITTEST = 

ifneq ($(TB_PATH),"")

UNITTEST = $(JSUNIT) main.js

endif

all:
	$(UNITTEST)

=== ui/content/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

UIFILES = \
	autocryptInitiateBackup.xul \
	autocryptInitiateBackup.js \
	autocryptSetupPasswd.xul \
	autocryptSetupPasswd.js \
	columnOverlay.xul \
	columnOverlay.js \
	enigmailCommon.js \
	enigmailAbCardViewOverlay.xul \
	enigmailAbContactsPanel.xul \
	enigmailAbOverlay.js \
	aboutEnigmail.html \
	enigmailAddUidDlg.js \
	enigmailAddUidDlg.xul \
	enigmailAdvancedIdentityDlg.js \
	enigmailAdvancedIdentityDlg.xul \
	enigmailMsgBox.js \
	enigmailMsgBox.xul \
	enigmailAttachmentsDialog.xul \
	enigmailAttachmentsDialog.js \
	enigmailAmIdEditOverlay.xul \
	enigmailCheckLanguage.xul \
	enigmailCardDetails.js \
	enigmailCardDetails.xul \
	enigmailConsole.xul \
	enigmailConsole.js \
	enigmailConsole.htm \
	enigmailCustToolOverlay.js \
	enigmailCustToolOverlay.xul \
	enigmailDispPhoto.js \
	enigmailDispPhoto.xul \
	enigmailEditIdentity.js \
	enigmailEditIdentity.xul \
	enigmailEditKeyExpiryDlg.js \
	enigmailEditKeyExpiryDlg.xul \
	enigmailEditKeyTrustDlg.js \
	enigmailEditKeyTrustDlg.xul \
	enigmailEncryptionDlg.xul \
	enigmailEncryptionDlg.js \
	enigmailGenCardKey.js \
	enigmailGenCardKey.xul \
	enigmailGenericDisplay.js \
	enigmailGenericDisplay.xul \
	enigmailGenericDisplay.htm \
	enigmailHelp.xul \
	enigmailHelp.js \
	enigmailImportPhoto.js \
	enigmailImportPhoto.xul \
	keyDetailsDlg.js \
	keyDetailsDlg.xul \
	enigmailKeyManager.xul \
	enigmailKeyManager.js \
	enigmailManageUidDlg.js \
	enigmailManageUidDlg.xul \
	enigmailRulesEditor.xul \
	enigmailRulesEditor.js \
	enigmailSearchKey.js \
	enigmailSearchKey.xul \
	enigmailKeyImportInfo.js \
	enigmailKeyImportInfo.xul \
	enigmailSingleRcptSettings.js \
	enigmailSingleRcptSettings.xul \
	enigmailSelectRule.js \
	enigmailSelectRule.xul \
	enigmailSetCardPin.js \
	enigmailSetCardPin.xul \
	enigmailSignKeyDlg.js \
	enigmailSignKeyDlg.xul \
	accountManagerOverlay.js \
	accountManagerOverlay.xul \
	pref-enigmail.xul \
	pref-enigmail.js \
	pref-pep.xul \
	pref-pep.js \
	am-enigprefs.xul \
	am-enigprefs.js \
	editSingleAccount.xul \
	enigmailKeygen.xul \
	enigmailKeygen.js \
	enigmailKeygenConsole.htm \
	enigmailKeyserverDlg.xul \
	enigmailKeyserverDlg.js \
	enigmailKeySelection.xul \
	enigmailKeySelection.js \
	enigmailMsgComposeOverlay.xul \
	enigmailMsgComposeOverlay-sm.xul \
	enigmailMsgComposeOverlay.js \
	enigmailMsgComposeHelper.js \
	messengerOverlay-tbird.xul \
	messengerOverlay-sm.xul \
	enigmailMessengerOverlay.xul \
	enigmailMessengerOverlay.js \
	enigmailMsgHdrViewOverlay.xul \
	enigmailMsgHdrViewOverlay.js \
	enigmailFilterEditorOverlay.xul \
	enigmailFilterEditorOverlay.js \
	enigmailFilterListOverlay.xul \
	enigmailFilterListOverlay.js \
	enigmailMsgPrintOverlay.xul \
	enigmailMsgPrintOverlay.js \
	enigmailPrivacyOverlay.js \
	enigmailPrivacyOverlay.xul \
	enigmailSetupWizard.js \
	enigmailSetupWizard.xul \
	enigmailWrapSelection.xul \
	enigmailWrapSelection.js \
	enigmailViewFile.js \
	enigmailViewFile.xul \
	enigRetrieveProgress.xul \
	enigRetrieveProgress.js \
	exportSettingsWizard.js \
	exportSettingsWizard.xul \
	upgradeInfo.html \
	pepHandshake.xul \
	pepHandshake.js \
	pepPrepHandshake.xul \
	pepPrepHandshake.js \
	pepTrustWords.xul \
	pepTrustWords.js
	
all: deploy

deploy: $(UIFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content $(UIFILES)

=== ui/skin/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

UIFILES = \
	images/check0.png \
	images/check1.png \
	images/check2.png

SKIN_TB_WIN_XP = \
	tb-windows/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-windows/images/enigEncInactive.png \
	tb-windows/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-windows/images/enigSignInactive.png \
	tb-windows/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-windows/images/enigSignUnkown.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/importSuccess.png \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_AERO = \
	tb-aero/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-windows/images/enigEncInactive.png \
	tb-windows/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-windows/images/enigSignInactive.png \
	tb-windows/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-windows/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/password-error.svg \
	images/warning-16.png \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg


SKIN_TB_MAC = \
	tb-mac/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-mac/images/enigEncInactive.png \
	tb-mac/images/enigEncNotOk.png \
	tb-mac/images/enigEncOk.png \
	tb-mac/images/enigSignInactive.png \
	tb-mac/images/enigSignNotOk.png \
	tb-mac/images/enigSignOk.png \
	tb-mac/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-mac/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-active-18.svg \
	images/decrypt-inactive-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_TB_LINUX = \
	tb-linux/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-linux/images/enigEncInactive.png \
	tb-linux/images/enigEncNotOk.png \
	tb-linux/images/enigEncOk.png \
	tb-linux/images/enigSignInactive.png \
	tb-linux/images/enigSignNotOk.png \
	tb-linux/images/enigSignOk.png \
	tb-linux/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-linux/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceNo.png \
	tb-windows/images/enigEncForceYes.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_CLASSIC_SEAMONKEY = \
	classic-seamonkey/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	classic-seamonkey/images/enigEncInactive.png \
	classic-seamonkey/images/enigEncNotOk.png \
	classic-seamonkey/images/enigEncOk.png \
	classic-seamonkey/images/enigSignInactive.png \
	classic-seamonkey/images/enigSignNotOk.png \
	classic-seamonkey/images/enigSignOk.png \
	classic-seamonkey/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	classic-seamonkey/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-24.svg \
	images/decrypt-active-24.svg \
	images/decrypt-inactive-30.svg \
	images/decrypt-active-30.svg \
	images/encrypt-inactive-24.svg \
	images/encrypt-active-24.svg \
	images/encrypt-disabled-24.svg \
	images/sign-active-24.svg \
	images/sign-disabled-24.svg \
	images/sign-inactive-24.svg \
	images/encrypt-inactive-30.svg \
	images/encrypt-active-30.svg \
	images/encrypt-disabled-30.svg \
	images/sign-active-30.svg \
	images/sign-disabled-30.svg \
	images/sign-inactive-30.svg \
	images/attach-inactive-24.svg \
	images/attach-inactive-30.svg \
	images/attach-disabled-24.svg \
	images/attach-disabled-30.svg \
	images/attach-active-24.svg \
	images/attach-active-30.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-24.svg \
	images/headerUnprotected-24.svg \
	images/headerProtected-30.svg \
	images/headerUnprotected-30.svg

=== debian/changelog ===
enigmail (2:2.0.8-1~ubuntu0.14.04.2) trusty-security; urgency=medium

  * Backport 2.0.8 to trusty for Thunderbird 60.*
  * Revert the Debian changes to drop OpenPGP.js, as it requires a newer gnupg
    - update debian/control
    - remove debian/patches/remove-openpgpjs/0017-avoid-OpenPGP.js-when-building.patch
    - remove debian/patches/remove-openpgpjs/0018-copy-enums.armor-from-OpenPGP.js.patch
    - remove debian/patches/remove-openpgpjs/0019-avoid-OpenPGP.js-during-key-file-import.patch
    - remove debian/patches/remove-openpgpjs/0020-drop-use-of-OpenPGP.js-for-generating-minimal-keys.patch
    - add debian/patches/restore-openpgpjs.patch
    - update debian/patches/series
  * Relax debhelper requirement
    - update debian/control
    - update debian/compat
  * Use dh-autoreconf
    - update debian/control
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 08 Oct 2018 18:10:33 +0100

enigmail (2:2.0.8-1) unstable; urgency=medium

  * New upstream version (closes: 907786)

 -- Willi Mann <willi@debian.org>  Sun, 02 Sep 2018 20:48:02 +0200

enigmail (2:2.0.7+ds1-1) unstable; urgency=medium

  * New repacked upstream tarball:
   - strip OpenPGP.js (Closes: 901556)
   - Remove windows binaries too
  * fix Vcs-Git to point to debian/master
  * test suite: show the state of prefs.js after tests are run
  * d/copyright: no need for OpenPGP.js any more.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 Jul 2018 01:46:58 -0400

enigmail (2:2.0.7-11) unstable; urgency=medium

  * avoid using and shippiing OpenPGP.js since we cannot build it from source
  * update dependency on GnuPG to account for important bugfixes needed
    to replace OpenPGP.js
  * Standards-Version: bump to 4.1.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 05 Jul 2018 12:22:02 -0400

enigmail (2:2.0.7-10) unstable; urgency=medium

  * drop build-deps on thunderbird, gpg, etc since unit tests are runtime-only

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Jul 2018 17:17:17 -0400

enigmail (2:2.0.7-9) unstable; urgency=medium

  * retry connections to autocrypt.sqlite if they fail busy

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Jul 2018 19:19:52 -0400

enigmail (2:2.0.7-8) unstable; urgency=medium

  * simplify autocrypt error handling
  * fix output in unit-tests (thanks, elbrus)
  * add tbird-sqlite test to autopkgtest suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Jul 2018 00:12:14 -0400

enigmail (2:2.0.7-7) unstable; urgency=medium

  * more debugging to try to see what is going wrong with the autocrypt test
  * unit tests: dump the contents of the enigmail autocrypt database

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 24 Jun 2018 20:09:41 -0400

enigmail (2:2.0.7-6) unstable; urgency=medium

  * clarify autocrypt errors in the test suite
  * make build reproducible (closes: #901611)
  * autopkgtest: use python, not python2
  * avoid requiring zip for the test suite
  * Permit stderr during autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 22 Jun 2018 00:09:56 -0400

enigmail (2:2.0.7-5) unstable; urgency=medium

  * d/run-tests: avoid bashism
  * ensure that the autopkgtest has a sensible configuration

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 21 Jun 2018 13:58:50 -0400

enigmail (2:2.0.7-4) unstable; urgency=medium

  * drop unit tests from buildd again, due to timeout

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Jun 2018 15:20:01 -0400

enigmail (2:2.0.7-3) unstable; urgency=medium

  * make test suite more robust (including fixes from upstream)
  * Improve testing (including autopkgtest)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Jun 2018 08:54:31 -0400

enigmail (2:2.0.7-2) unstable; urgency=medium

  * acknowledge accidental move to unstable (oops)
    (closes: #888897, #898630)
  * skip unit tests for now, since they cause build failures

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Jun 2018 13:06:56 -0400

enigmail (2:2.0.7-1) unstable; urgency=medium

  * new upsteam release
    fixes CVE-2018-12020, CVE-2018-12019
  * try running tests under xvfb-run

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Jun 2018 02:37:07 -0400

enigmail (2:2.0.6.1-4) unstable; urgency=medium

  * force creation of /tmp/.X11-unix when running test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 10 Jun 2018 23:36:08 -0400

enigmail (2:2.0.6.1-3) unstable; urgency=medium

  * debugging /tmp to understand test suite failure on buildd

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 10 Jun 2018 17:55:46 -0400

enigmail (2:2.0.6.1-2) unstable; urgency=medium

  * set a specific XAUTHORITY file during test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Jun 2018 18:59:04 -0400

enigmail (2:2.0.6.1-1) experimental; urgency=medium

  * New upstream release
  * actually run unit tests during build
  * fix test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Jun 2018 18:38:51 -0400

enigmail (2:2.0.6-1) experimental; urgency=medium

  * New upstream release
  * drop patch already upstream
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 29 May 2018 18:34:09 -0400

enigmail (2:2.0.5-1) experimental; urgency=medium

  * New upstream release
  * refresh patches
  * fix error string about MDC

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 21 May 2018 14:19:19 -0400

enigmail (2:2.0.4-1) experimental; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 16 May 2018 13:37:47 -0400

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 9~),
 mozilla-devscripts,
 perl,
 python,
 zip,
 dh-autoreconf
Standards-Version: 4.1.5
Homepage: https://www.enigmail.net/
Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/master
Vcs-Browser: https://salsa.debian.org/debian/enigmail
Rules-Requires-Root: no

Package: enigmail
Architecture: all
Depends:
 gnupg (>= 2) | gnupg2,
 gnupg-agent,
 ${misc:Depends},
 ${shlibs:Depends},
 ${xpi:Depends},
Recommends:
 pinentry-x11,
 ${xpi:Recommends},
Provides:
 ${xpi:Provides},
Enhances:
 ${xpi:Enhances},
Breaks:
 ${xpi:Breaks},
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

XPI_MODULE_VERS = $(DEB_VERSION)
%:
	dh $@ --with xul-ext,autoreconf

override_dh_install:
	install-xpi -penigmail build/*.xpi

override_dh_auto_configure:
	dh_auto_configure -- --with-tb-path=/usr/bin/thunderbird --with-tb-args='--profile $(shell pwd)/test-profile'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/run-tests
endif

override_dh_auto_clean:
	# if config/autoconf.mk is not present, create stub of it, such that make distclean works
	if [ ! -f config/autoconf.mk ]; then \
		echo 'DIST = $$(DEPTH)/build/dist' > config/autoconf.mk; \
		echo 'BUILD = $$(DEPTH)/build' >> config/autoconf.mk; \
	fi

	dh_auto_clean

=== debian/tests/control ===
Tests: tbird-sqlite
Depends: thunderbird, jsunit, xauth, xvfb, sqlite3

Tests: unit-tests
Depends: enigmail, jsunit, perl, python, make, xauth, xvfb, sqlite3
Restrictions: allow-stderr

## enigmail 2.0.8-1~ubuntu0.18.04.2+9.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	make -C package/tests
 	make -C ui/tests
 
-test: eslint check unit
+test: check unit
 
 clean:
 	rm -f build/$(XPIFILE)

=== debian/changelog ===
enigmail (2:2.0.8-1~ubuntu0.18.04.2+9.0trisquel1) etiona-security; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 20:47:59 +0000

enigmail (2:2.0.8-1~ubuntu0.18.04.2) bionic-security; urgency=medium

  * Backport 2.0.8 to bionic for Thunderbird 60.*
  * Revert the Debian changes to drop OpenPGP.js, as it requires a newer gnupg
    - update debian/control
    - remove debian/patches/remove-openpgpjs/0017-avoid-OpenPGP.js-when-building.patch
    - remove debian/patches/remove-openpgpjs/0018-copy-enums.armor-from-OpenPGP.js.patch
    - remove debian/patches/remove-openpgpjs/0019-avoid-OpenPGP.js-during-key-file-import.patch
    - remove debian/patches/remove-openpgpjs/0020-drop-use-of-OpenPGP.js-for-generating-minimal-keys.patch
    - add debian/patches/restore-openpgpjs.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 08 Oct 2018 18:10:33 +0100

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 11~),
 mozilla-devscripts,
 perl,
 python,
 zip,
Standards-Version: 4.1.5
Homepage: https://www.enigmail.net/
Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/master
Vcs-Browser: https://salsa.debian.org/debian/enigmail
Rules-Requires-Root: no

Package: enigmail
Architecture: all
Depends:
 gnupg (>= 2) | gnupg2,
 gnupg-agent,
 ${misc:Depends},
 ${shlibs:Depends},
 icedove,
Recommends:
 pinentry-x11,
Provides:
 ${xpi:Provides},
Breaks:
 ${xpi:Breaks},
Description: GPG support for Icedove
 OpenPGP extension for Icedove. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Icedove.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

## enigmail 2.0.9+ds1

=== debian/changelog ===
enigmail (2:2.0.9+ds1-2) unstable; urgency=medium

  * avoid spoofed HTTP authentication prompts during WKD

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 16 Dec 2018 10:01:03 -0500

enigmail (2:2.0.9+ds1-1) unstable; urgency=medium

  * new upstream release
  * refresh patches (majority adopted upstream already)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 13 Dec 2018 17:27:42 -0500

enigmail (2:2.0.8-5) unstable; urgency=medium

  * avoid auto-update mechanisms during autopkgtest
  * more cleanup fixes for enigmail test suite
  * avoid touching the GnuPG keyring when parsing unknown keys.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Oct 2018 23:48:10 -0500

enigmail (2:2.0.8-4) unstable; urgency=medium

  * disable telemetry during autopkgtest
  * add times.json to the autopkgtest default profile.
  * Drop enigmail plugin from autopkgtest jsunit/sqlite test
  * create simple profile during sqlite autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Oct 2018 11:12:57 -0500

enigmail (2:2.0.8-3) unstable; urgency=medium

  * Avoid stderr on sqlite test during autopkgtest.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Oct 2018 18:02:24 -0500

enigmail (2:2.0.8-2) unstable; urgency=medium

  * refresh patches
  * fix minimal key generation (pushed upstream, not yet released)
  * drop "Fix test in streams-test.js" (TB 52 → 60 changes result?)
  * Test autocrypt-style key minimization (pushed upstream, not yet
    released)
  * drop "correct keyserverUris" change (maybe also TB 52 → 60)
  * import minor bugfixes from upstream
  * prepare subprocesses to handle multiple file descriptors
  * complete transition from OpenPGP.js to GnuPG (Closes: #908510)
  * Standards-Version: bump to 4.2.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 30 Sep 2018 17:55:02 -0500

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 XPI_MODULE_VERS = $(DEB_VERSION)
 %:
-	dh $@ --with xul-ext,autoreconf
+	dh $@ --with xul-ext
 
 override_dh_install:
 	install-xpi -penigmail build/*.xpi
@@ -19,7 +19,8 @@
 override_dh_auto_clean:
 	# if config/autoconf.mk is not present, create stub of it, such that make distclean works
 	if [ ! -f config/autoconf.mk ]; then \
-		echo 'DIST = $$(DEPTH)/build/dist' > config/autoconf.mk; \
+		echo 'XPI_MODULE_VERS = $(DEB_VERSION_UPSTREAM)' > config/autoconf.mk; \
+		echo 'DIST = $$(DEPTH)/build/dist' >> config/autoconf.mk; \
 		echo 'BUILD = $$(DEPTH)/build' >> config/autoconf.mk; \
 	fi

## enigmail 2.0.12+ds1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # file, You can obtain one at https://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 2.0.8
 
 DEPTH		= .
 
@@ -44,7 +43,7 @@
 	make -C package/tests
 	make -C ui/tests
 
-test: check unit
+test: eslint check unit
 
 clean:
 	rm -f build/$(XPIFILE)

=== debian/changelog ===
enigmail (2:2.0.12+ds1-1) unstable; urgency=medium

  * new upstream release
  * refresh patches, dropping those already upstream
  * Standards-Version: bump to 4.4.0 (no changes needed)
  * move to debhelper 12

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Jul 2019 07:53:20 -0400

enigmail (2:2.0.11+ds1-2) unstable; urgency=medium

  * minimize legacy-display protected headers for encrypted mails

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 May 2019 15:40:57 -0400

enigmail (2:2.0.11+ds1-1) unstable; urgency=medium

  * new upstream release
  * refresh patches
  * use the older import-show with --dry-run instead of show-only

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 May 2019 17:06:35 -0400

enigmail (2:2.0.10+ds1-1) unstable; urgency=medium

  * new upstream release
  * refresh patches, dropping those already upstream
  * cherry-pick .da locale bugfix from upstream
  * standards-version: bump to 4.3.0 (no changes needed)
  * note correct permissive licensing for appstream metadata

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 15 Apr 2019 22:56:15 -0400

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper-compat (= 12),
 mozilla-devscripts,
 perl,
 python,
 zip,
Standards-Version: 4.4.0
Homepage: https://www.enigmail.net/
Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/master
Vcs-Browser: https://salsa.debian.org/debian/enigmail
Rules-Requires-Root: no

Package: enigmail
Architecture: all
Depends:
 gnupg (>= 2.2.8-2~),
 gnupg-agent,
 ${misc:Depends},
 ${shlibs:Depends},
 ${xpi:Depends},
Recommends:
 pinentry-x11,
 ${xpi:Recommends},
Provides:
 ${xpi:Provides},
Enhances:
 ${xpi:Enhances},
Breaks:
 ${xpi:Breaks},
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

## enigmail 2.1.2

=== Makefile ===
--- 
+++ 
@@ -39,14 +39,14 @@
 	static_analysis/eslint ui
 
 unit:
-	make -C ipc/tests
 	make -C package/tests
 	make -C ui/tests
+	make -C ipc/tests
 
 test: eslint check unit
 
 clean:
-	rm -f build/$(XPIFILE)
+	rm -f build/$(XPIFILE) .eslintcache
 	for dir in $(DIRS); do \
 		if [ "$${dir}x" != "checkx" ]; then \
 		$(MAKE) -C $$dir clean; fi; \

=== stdlib/Makefile ===
--- 
+++ 
@@ -11,14 +11,18 @@
            compose.jsm \
            misc.jsm \
            msgHdrUtils.jsm \
-           openpgp-lib.js \
-           openpgp.worker.min.js
+           openpgp-lib.jsm \
+           openpgp.worker.js \
+           web-streams.jsm
 
 all: deploy
 
-deploy: $(MODFILES)
-	$(DEPTH)/util/install -m 644 $(DIST)/modules/stdlib $(MODFILES)
+createlib: 
+	cat openpgp-lib-head.js openpgp-lib.js openpgp-lib-tail.js > openpgp-lib.jsm
+
+deploy: createlib $(MODFILES)
+	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/modules/stdlib $(MODFILES)
 
 
 clean:
-	$(DEPTH)/util/install -u $(DIST)/modules/stdlib $(MODFILES)
+	$(DEPTH)/util/install -u $(DIST)/chrome/content/modules/stdlib $(MODFILES)

=== ipc/modules/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	enigmailprocess_win.jsm
 
 all: $(EXTRA_JS_MODULES)
-	$(DEPTH)/util/install -m 644 $(DIST)/modules $^
+	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/modules $^
 
 clean: $(EXTRA_JS_MODULES)
-	$(DEPTH)/util/install -u $(DIST)/modules $^
+	$(DEPTH)/util/install -u $(DIST)/chrome/content/modules $^

=== package/cryptoAPI/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

MODFILES = \
	gnupg.js \
	gnupg-decryption.jsm \
	gnupg-keylist.jsm \
	gnupg-key.jsm \
	openpgp-js.js \
	interface.js

all: deploy

deploy: $(MODFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/modules/cryptoAPI $(MODFILES)


clean:
	$(DEPTH)/util/install -u $(DIST)/chrome/content/modules/cryptoAPI $(MODFILES)

=== ui/content/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 include $(DEPTH)/config/autoconf.mk
 
+AM_FILES = am-enigprefs.xul
+
 UIFILES = \
 	autocryptInitiateBackup.xul \
 	autocryptInitiateBackup.js \
@@ -13,15 +15,15 @@
 	autocryptSetupPasswd.js \
 	columnOverlay.xul \
 	columnOverlay.js \
+	commonWorkflows.js \
 	enigmailCommon.js \
 	enigmailAbCardViewOverlay.xul \
 	enigmailAbContactsPanel.xul \
 	enigmailAbOverlay.js \
 	aboutEnigmail.html \
+	aboutEnigmail.js \
 	enigmailAddUidDlg.js \
 	enigmailAddUidDlg.xul \
-	enigmailAdvancedIdentityDlg.js \
-	enigmailAdvancedIdentityDlg.xul \
 	enigmailMsgBox.js \
 	enigmailMsgBox.xul \
 	enigmailAttachmentsDialog.xul \
@@ -33,7 +35,6 @@
 	enigmailConsole.xul \
 	enigmailConsole.js \
 	enigmailConsole.htm \
-	enigmailCustToolOverlay.js \
 	enigmailCustToolOverlay.xul \
 	enigmailDispPhoto.js \
 	enigmailDispPhoto.xul \
@@ -104,12 +105,8 @@
 	enigmailFilterEditorOverlay.js \
 	enigmailFilterListOverlay.xul \
 	enigmailFilterListOverlay.js \
-	enigmailMsgPrintOverlay.xul \
-	enigmailMsgPrintOverlay.js \
 	enigmailPrivacyOverlay.js \
 	enigmailPrivacyOverlay.xul \
-	enigmailSetupWizard.js \
-	enigmailSetupWizard.xul \
 	enigmailWrapSelection.xul \
 	enigmailWrapSelection.js \
 	enigmailViewFile.js \
@@ -118,15 +115,22 @@
 	enigRetrieveProgress.js \
 	exportSettingsWizard.js \
 	exportSettingsWizard.xul \
+	importSettings.js \
+	importSettings.xul \
 	upgradeInfo.html \
 	pepHandshake.xul \
 	pepHandshake.js \
 	pepPrepHandshake.xul \
 	pepPrepHandshake.js \
 	pepTrustWords.xul \
-	pepTrustWords.js
+	pepTrustWords.js \
+	updateGnuPG.html \
+	updateGnuPG.js \
+	setupWizard2.js \
+	setupWizard2.xul
 	
 all: deploy
 
-deploy: $(UIFILES)
-	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content $(UIFILES)
+deploy: $(UIFILES) $(AM_FILES)
+	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $(UIFILES)
+	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content $(AM_FILES)

=== ui/skin/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	common/enigmail-html.css \
 	images/enigmail-about.svg \
 	images/enigmail-logo.png \
+	images/ok-sign.svg \
 	tb-windows/images/enigEncInactive.png \
 	tb-windows/images/enigEncNotOk.png \
 	tb-windows/images/enigEncOk.png \
@@ -83,6 +84,7 @@
 	common/enigmail-html.css \
 	images/enigmail-about.svg \
 	images/enigmail-logo.png \
+	images/ok-sign.svg \
 	tb-windows/images/enigEncInactive.png \
 	tb-windows/images/enigEncNotOk.png \
 	tb-windows/images/enigEncOk.png \
@@ -149,6 +151,7 @@
 	common/enigmail-html.css \
 	images/enigmail-about.svg \
 	images/enigmail-logo.png \
+	images/ok-sign.svg \
 	tb-mac/images/enigEncInactive.png \
 	tb-mac/images/enigEncNotOk.png \
 	tb-mac/images/enigEncOk.png \
@@ -214,18 +217,19 @@
 	common/enigmail-html.css \
 	images/enigmail-about.svg \
 	images/enigmail-logo.png \
+	images/ok-sign.svg \
 	tb-linux/images/enigEncInactive.png \
 	tb-linux/images/enigEncNotOk.png \
-	tb-linux/images/enigEncOk.png \
+	tb-windows/images/enigEncOk.png \
 	tb-linux/images/enigSignInactive.png \
 	tb-linux/images/enigSignNotOk.png \
-	tb-linux/images/enigSignOk.png \
+	tb-windows/images/enigSignOk.png \
 	tb-linux/images/enigSignUnkown.png \
 	images/importSuccess.png \
 	images/twisty-open.png \
 	images/twisty-clsd.png \
 	images/spinning-wheel.png \
-	tb-linux/images/col-encrypted-signed.png \
+	tb-windows/images/col-encrypted-signed.png \
 	tb-windows/images/enigSignActiveNone.png \
 	tb-windows/images/enigSignActivePlus.png \
 	tb-windows/images/enigSignActiveMinus.png \
@@ -279,6 +283,7 @@
 	common/enigmail-html.css \
 	images/enigmail-about.svg \
 	images/enigmail-logo.png \
+	images/ok-sign.svg \
 	classic-seamonkey/images/enigEncInactive.png \
 	classic-seamonkey/images/enigEncNotOk.png \
 	classic-seamonkey/images/enigEncOk.png \
@@ -346,7 +351,3 @@
 	images/pEpEncryptInactive.svg \
 	images/pEpLogo.svg \
 	images/headerProtected-24.svg \
-	images/headerUnprotected-24.svg \
-	images/headerProtected-30.svg \
-	images/headerUnprotected-30.svg
-

=== debian/changelog ===
enigmail (2:2.1.2-0ubuntu1~18.04.2) bionic; urgency=medium

  * new upstream release
  * do not repack the upstream tarball to strip OpenPGP.js
    - d/copyright
  * remove patches as a consequence:
    - d/patches/0003-avoid-OpenPGP.js-when-building.patch
    - d/patches/0004-copy-enums.armor-from-OpenPGP.js.patch
    - d/patches/0005-avoid-OpenPGP.js-during-key-file-import.patch
    - d/patches/0006-drop-use-of-OpenPGP.js-for-generating-minimal-keys.patch
    - d/patches/0008-enable-the-use-of-extra-file-descriptors-and-test-th.patch
    - d/patches/0009-add-test-to-do-symmetric-encryption-decryption-with-.patch
    - d/patches/0010-use-GnuPG-instead-of-openpgp.js-for-symmetric-encryp.patch
  * refresh patches:
    - d/patches/0001-avoid-eslint-during-buildtest.patch
    - d/patches/0002-Avoid-auto-download-of-pEpEngine-Closes-891882.patch
    - d/patches/0007-add-more-logging-to-autocrypt-test.patch
    - d/patches/0011-tests-wrap-individual-tests-in-key-test-with-withTes.patch
  * new patches:
    - d/patches/0012-fix-stdlib-Makefile.patch
    - d/patches/0013-strip-comment-from-manifest.patch
  * use dh_webext to install the extension
    - d/control
    - d/rules
    - d/run-tests
    - d/install-webext
  * update autopgktests to jsunit API changes
    - d/tests/tbird-sqlite{,.js}
    - d/tests/unit-tests
  * downgrade build dependency on debhelper to 11, because 12 is not in bionic
    - d/control
  * downgrade runtime dependency on gnupg to 2.0.14, which is what enigmail
    really defines as the minimum supported version (MINIMUM_GPG_VERSION)
    - d/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 14:57:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Willi Mann <willi@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 11~),
  mozilla-devscripts,
  perl,
  python,
@@ -21,20 +21,13 @@
 Package: enigmail
 Architecture: all
 Depends:
- gnupg (>= 2.2.8-2~),
+ gnupg (>= 2.0.14),
  gnupg-agent,
+ thunderbird,
  ${misc:Depends},
  ${shlibs:Depends},
- ${xpi:Depends},
 Recommends:
  pinentry-x11,
- ${xpi:Recommends},
-Provides:
- ${xpi:Provides},
-Enhances:
- ${xpi:Enhances},
-Breaks:
- ${xpi:Breaks},
 Description: GPG support for Thunderbird and Debian Icedove
  OpenPGP extension for Thunderbird. Enigmail allows users to access the
  features provided by the popular GnuPG software from within Thunderbird.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 
 XPI_MODULE_VERS = $(DEB_VERSION)
 %:
-	dh $@ --with xul-ext
+	dh $@ --with webext
 
-override_dh_install:
-	install-xpi -penigmail build/*.xpi
+override_dh_webext:
+	dh_webext -p enigmail build/dist enigmail
+	cd debian/enigmail/usr/share/webext/enigmail; mv dist/* ./; rmdir dist
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-tb-path=/usr/bin/thunderbird --with-tb-args='--profile $(shell pwd)/test-profile'
